<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>WebApiSkeleton.Security.Core</RootNamespace>
    </PropertyGroup>

    <PropertyGroup>
        <PackageId>WebApiSkeleton.Security.Core</PackageId>
        <PackageVersion>1.1.1</PackageVersion>
        <Authors>Kamil Sharipov</Authors>
        <Copyright>Kamil Sharipov</Copyright>
        <Description>
            Package containing base models and abstractions that are used to implement core security functionality.
        </Description>
        <PackageProjectUrl>https://gitlab.com/webapiskeleton</PackageProjectUrl>
        <RepositoryUrl>https://gitlab.com/webapiskeleton/nuget/security</RepositoryUrl>
        <RepositoryType>Git</RepositoryType>
        <PackageReadmeFile>README.md</PackageReadmeFile>
        <PackageLicenseFile>LICENSE</PackageLicenseFile>
        <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
        <PackageOutputPath>..\..\nuget-output</PackageOutputPath>
    </PropertyGroup>

    <ItemGroup>
        <None Include="..\..\README.md">
            <Pack>True</Pack>
            <PackagePath>\</PackagePath>
        </None>
        <None Include="..\..\LICENSE">
            <Pack>True</Pack>
            <PackagePath>\</PackagePath>
        </None>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Dapper" Version="2.1.35" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="8.0.4" />
      <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="8.0.0" />
      <PackageReference Include="Riok.Mapperly" Version="3.5.0" />
      <PackageReference Include="System.Configuration.ConfigurationManager" Version="8.0.0" />
      <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="7.4.0" />
      <PackageReference Include="WebApiSkeleton.DatabaseMapping" Version="1.1.1" />
      <PackageReference Include="WebApiSkeleton.DistributeLockUtilities" Version="1.1.1" />
      <PackageReference Include="WebApiSkeleton.SearchSqlGeneration" Version="1.1.1" />
      <PackageReference Include="WebApiSkeleton.SearchUtilities" Version="1.1.1" />
    </ItemGroup>
    
    <ItemGroup>
        <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleToAttribute">
            <_Parameter1>WebApiSkeleton.Security</_Parameter1>
        </AssemblyAttribute>
        <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleToAttribute">
            <_Parameter1>DatabaseEntityMapping</_Parameter1>
        </AssemblyAttribute>
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Microsoft.Extensions.Configuration.Abstractions">
        <HintPath>..\..\..\..\..\Program Files\dotnet\shared\Microsoft.AspNetCore.App\7.0.5\Microsoft.Extensions.Configuration.Abstractions.dll</HintPath>
      </Reference>
    </ItemGroup>
</Project>
